# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'flappy/version'

Gem::Specification.new do |spec|
  spec.name          = "flappy-cli"
  spec.version       = Flappy::VERSION
  spec.authors       = ["warmwei818, yangyao"]
  spec.email         = ["545025590@qq.com, yangyao@souche.com"]

  spec.summary       = %q{Write a short summary, because Rubygems requires one.}
  spec.description   = %q{Write a longer description or delete this line.}
  spec.homepage      = "http://git.souche.com/flappy/flappy-cli"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com'"
  # else
  #   raise "RubyGems 2.0 or newer is required to protect against " \
  #     "public gem pushes."
  # end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end

  # spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]
  spec.post_install_message = %q(-----> Flappy <-----)


  spec.add_development_dependency 'bundler',  '~> 1.13'
  spec.add_development_dependency 'rake',     '~> 10.0'
  spec.add_development_dependency 'minitest', '~> 5.7'
  # spec.add_development_dependency 'pry',      '~> 0.10'
  # spec.add_development_dependency 'pry-nav',  '~> 0.2.4'

  spec.add_dependency 'thor',           '~> 0.19'
  spec.add_dependency 'ruby_android',   '~> 0.7'
  spec.add_dependency 'CFPropertyList', '~> 2.3'
  spec.add_dependency 'rest-client',    '~> 1.7'
  spec.add_dependency 'rqrcode',        '~> 0.7'
  spec.add_dependency 'cocoapods'

end
